Subject: Re: [MMUSIC] [Technical Errata Reported] RFC2326 (5079)

From: Magnus Westerlund <[email-masked]>
Date: Wed, 13 Sep 2017 14:40:04 +0200

Hi,

I am fine with blocking this Errata with reference to the replacement 
RFC. If this was one a really critical errata I might argue for it being 
published anyway.

Regarding RTSP 1.0 it is still in existing use, but that is not really 
RFC 2326. It is implementations follows things like this combination: 
RFC 2326 + 3GPP extensions and clarifications + IMTC Interop testing 
agreements. RFC 2326 is simply to broken to implement from.

Regarding RFC 7826 and the corresponding example. That is correct, and 
has a Content-Length value of 26. See section 13.8:

      S->C: GET_PARAMETER rtsp://example.com/fizzle/foo RTSP/2.0
            CSeq: 431
            User-Agent: PhonyClient/1.2
            Session: OccldOFFq23KwjYpAnBbUr
            Content-Length: 26
            Content-Type: text/parameters

            packets_received
            jitter

      C->S: RTSP/2.0 200 OK
            CSeq: 431
            Session: OccldOFFq23KwjYpAnBbUr
            Server: PhonyServer/1.1
            Date: Mon, 08 Mar 2010 13:43:23 GMT
            Content-Length: 38
            Content-Type: text/parameters

            packets_received: 10
            jitter: 0.3838

Cheers

Magnus

Den 2017-08-25 kl. 16:41, skrev Ben Campbell:
> RFC 2326 is obsolete.  I don’t think we normally accept errata against obsolete drafts, do we?   (If anyone still cares about RTSP 1.0, maybe it should have been made historical instead,. But that’s water under the bridge.)
>
> I assume the content-length exampless in 7826 are correct?
>
> Ben.
>
>> On Aug 25, 2017, at 3:45 AM, Magnus Westerlund <[email-masked]> wrote:
>>
>> Hi,
>>
>> Thanks for reporting, however considering how many issues there are in RFC 2326, and why RFC 7826 was produced, I frankly don't know if its worth accepting this errata or not.
>>
>> The errata is clearly right in that the RFC is wrong. If one follows the format for text/parameters defined in RTSP 2.0: https://datatracker.ietf.org/doc/rfc7826/ then there should be CRLF at the end of each line, and there are no EOF marker. Thus the length should be: 26. So maybe with that edit it is simplest to accept it.
>>
>> Cheers
>>
>> Magnus Westerlund
>>
>>
>>
>> Den 2017-08-08 kl. 18:52, skrev RFC Errata System:
>>> The following errata report has been submitted for RFC2326,
>>> "Real Time Streaming Protocol (RTSP)".
>>>
>>> --------------------------------------
>>> You may review the report below and at:
>>> http://www.rfc-editor.org/errata/eid5079
>>>
>>> --------------------------------------
>>> Type: Technical
>>> Reported by: Vadim Zhukov <[email-masked]>
>>>
>>> Section: 10.8
>>>
>>> Original Text
>>> -------------
>>>       S->C: GET_PARAMETER rtsp://example.com/fizzle/foo RTSP/1.0
>>>             CSeq: 431
>>>             Content-Type: text/parameters
>>>             Session: 12345678
>>>             Content-Length: 15
>>>
>>>             packets_received
>>>             jitter
>>>
>>> Corrected Text
>>> --------------
>>>       S->C: GET_PARAMETER rtsp://example.com/fizzle/foo RTSP/1.0
>>>             CSeq: 431
>>>             Content-Type: text/parameters
>>>             Session: 12345678
>>>             Content-Length: 24
>>>
>>>             packets_received
>>>             jitter
>>>
>>> Notes
>>> -----
>>> The Content-Length value is wrong, it should be either 24 (as proposed) or 26, depending on end-of-line marker used for message content.
>>>
>>> Instructions:
>>> -------------
>>> This erratum is currently posted as "Reported". If necessary, please
>>> use "Reply All" to discuss whether it should be verified or
>>> rejected. When a decision is reached, the verifying party
>>> can log in to change the status and edit the report, if necessary.
>>>
>>> --------------------------------------
>>> RFC2326 (no draft string recorded)
>>> --------------------------------------
>>> Title               : Real Time Streaming Protocol (RTSP)
>>> Publication Date    : April 1998
>>> Author(s)           : H. Schulzrinne, A. Rao, R. Lanphier
>>> Category            : PROPOSED STANDARD
>>> Source              : Multiparty Multimedia Session Control RAI
>>> Area                : Real-time Applications and Infrastructure
>>> Stream              : IETF
>>> Verifying Party     : IESG
>>>
>>> _______________________________________________
>>> mmusic mailing list
>>> [email-masked]
>>> https://www.ietf.org/mailman/listinfo/mmusic
>> -- 
>>
>> Magnus Westerlund
>>
>> ----------------------------------------------------------------------
>> Media Technologies, Ericsson Research
>> ----------------------------------------------------------------------
>> Ericsson AB                 | Phone  +46 10 7148287
>> Torshamnsgatan 23           | Mobile +46 73 0949079
>> SE-164 80 Stockholm, Sweden | mailto: [email-masked]
>> ----------------------------------------------------------------------
>>
>>
> _______________________________________________
> mmusic mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/mmusic

-- 

Magnus Westerlund

----------------------------------------------------------------------
Media Technologies, Ericsson Research
----------------------------------------------------------------------
Ericsson AB                 | Phone  +46 10 7148287
Torshamnsgatan 23           | Mobile +46 73 0949079
SE-164 80 Stockholm, Sweden | mailto: [email-masked]
----------------------------------------------------------------------